// creator  : weidu.exe (version 23100)
// argument : DRAGBLAC.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~DRAGBLAC~

IF ~True()~ THEN BEGIN 0 // from:
  SAY #57926 /* ~Food! Irenicus has sent lunch at last. It is as well. I grow tired of this, treasure or no. Nizidramanii'yt is no pathetic soldier to stand guard duty over a tarnished cup.~ */
  IF ~Global("DerminJob","GLOBAL",1)~ THEN REPLY #57928 /* ~You have the Goblet of Life? Give it to me and I shall leave you in peace.~ */ GOTO 1
  IF ~CheckStatGT(LastTalkedToBy,14,CHR)~ THEN REPLY #57930 /* ~Why do you do the bidding of this wizard? Surely a great and *powerful* dragon could not be subservient to a mere elf?~ */ GOTO 3
  IF ~~ THEN REPLY #57931 /* ~I am <GABBER> and I have no quarrel with you, culinary or otherwise. I just need the Goblet of Life.~ */ GOTO 1
  IF ~~ THEN REPLY #57932 /* ~Evil wyrm! You shall slay no more innocents in this city! Die!~ */ GOTO 2
  IF ~CheckStatLT(LastTalkedToBy,15,CHR)~ THEN REPLY #57933 /* ~Why do you do the bidding of this wizard? Surely a great and *powerful* dragon could not be subservient to a mere elf?~ */ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 0.2 0.0
  SAY #57934 /* ~Idiot! Food does not make demands of Nizidramanii'yt! The task is beneath my dignity, but I will not be derelict in protecting the Goblet. The reward is too great!~ */
  IF ~PartyGoldGT(29999)~ THEN REPLY #57935 /* ~Whatever Irenicus is paying you, I will pay more!~ */ GOTO 6
  IF ~~ THEN REPLY #57936 /* ~Then die, wyrm! I will take the Goblet!~ */ GOTO 2
  IF ~CheckStatGT(LastTalkedToBy,14,CHR)~ THEN REPLY #57938 /* ~Why do you do the bidding of this wizard? Surely a great and *powerful* dragon could not be subservient to a mere elf?~ */ GOTO 3
  IF ~CheckStatLT(LastTalkedToBy,15,CHR)~ THEN REPLY #57939 /* ~Why do you do the bidding of this wizard? Surely a great and *powerful* dragon could not be subservient to a mere elf?~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 11.0 4.1 3.1 1.1 0.3
  SAY #57942 /* ~Excellent! I do so enjoy it when they struggle!~ */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.2 0.1
  SAY #57945 /* ~How dare you! Nizidramanii'yt is no slave! The wizard offers much treasure for easy work. I should kill you slowly, but you are not worth it. You are food! Cattle!~ */
  IF ~~ THEN REPLY #57947 /* ~I meant no offense; you are no servant! How dare Irenicus think that you will do his bidding like some mewling lackey!~ */ GOTO 10
  IF ~~ THEN REPLY #57959 /* ~Then fall before the blade, wyrm! You shall spread your evil no further than this!~ */ GOTO 2
END

IF ~~ THEN BEGIN 4 // from: 1.3 0.4
  SAY #57953 /* ~Hah! What backwoods adventurer have you been listening to? What comes next? You try to convince me to turn against Irenicus by soothing my ego?!?~ */
  IF ~~ THEN REPLY #57955 /* ~No, of course not! I would never think to match wits with one as wise as you!~ */ GOTO 5
  IF ~~ THEN REPLY #57956 /* ~Fine. I suppose we shall have to do this the old fashioned way. Die wyrm!~ */ GOTO 2
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #57957 /* ~Oh shut up! Your presumption sickens me!~ */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 1.0
  SAY #57960 /* ~Hmm, the idea has merit. I smell your magic items and hear your gold. The Goblet is all the treasure that I have. Give me everything that you have and I will do likewise.~ */
  IF ~~ THEN REPLY #57961 /* ~You want everything that I own in exchange for the Goblet?~ */ GOTO 7
  IF ~~ THEN REPLY #57962 /* ~I agree. Take what I have and give me the Goblet.~ */ GOTO 8
  IF ~~ THEN REPLY #57969 /* ~I will not give you everything that I own for a Goblet.~ */ GOTO 9
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #57963 /* ~I *did* promise to protect the Goblet. Irenicus is offering me a great fortune. You can do no less if your truly wish to have the Goblet.~ */
  IF ~~ THEN REPLY #57964 /* ~Very well. Take everything and give me the Goblet.~ */ GOTO 8
  IF ~~ THEN REPLY #57965 /* ~I won't trade everything that I own.~ */ GOTO 9
END

IF ~~ THEN BEGIN 8 // from: 7.0 6.1
  SAY #57966 /* ~Excellent. Take the useless cup and be happy that I allow you to live.~ */
  IF ~~ THEN DO ~SetGlobal("BlackDragonItems","GLOBAL",1)
TakePartyGold(9999999)
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 7.1 6.2
  SAY #57968 /* ~Then I will kill you as I should have done the moment I saw you. Mere cattle should not be bargained with.~ */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~~ THEN BEGIN 10 // from: 3.0
  SAY #57970 /* ~Hmm, that would be the gist of it. But before you judge me subservient, understand that the wizard offers a great deal of treasure for such a simple task.~ */
  IF ~~ THEN REPLY #57972 /* ~Why work for the gold? Take it, and make Irenicus grovel for the privilege. You need not guard these trinkets!~ */ GOTO 12
  IF ~~ THEN REPLY #57973 /* ~What if I were to offer you more to give me the Goblet?~ */ GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.1
  SAY #57974 /* ~Who am I to be purchased like a painted whore? If you have gold give it to me. Hah! Then you may grovel at my feet in thanks that I have allowed you to live.~ */
  IF ~~ THEN REPLY #57975 /* ~I am not so easy to kill as that. Attack if you wish. You will be surprised.~ */ GOTO 2
END

IF ~~ THEN BEGIN 12 // from: 10.0
  SAY #57976 /* ~Your words have merit, and I may act on them, but I know your motives. Nizidramanii'yt serves his own purpose, not yours! You have found not the Goblet but death!~ */
  IF ~~ THEN DO ~Enemy()~ EXIT
END
